Subject: [PATCH 3/3] clk: samsung: remove unnecessary inclusion of header files from clk.h

From: [email-masked] (Sylwester Nawrocki)
Date: Wed, 03 Dec 2014 13:04:20 +0100

On 03/12/14 12:42, Pankaj Dubey wrote:
> Hi Sylwester,
> 
> On Tuesday 02 December 2014 08:53 PM, Sylwester Nawrocki wrote:
>> Hi Pankaj,
>>
>> On 27/09/14 07:41, Pankaj Dubey wrote:
>>> Let's remove unnecessary include of header files from clk.h and add
>>> required one in clk.c
>>>
>>> Signed-off-by: Pankaj Dubey <[email-masked]>
>>> ---
>>>   drivers/clk/samsung/clk.c |    3 ++-
>>>   drivers/clk/samsung/clk.h |    4 ----
>>>   2 files changed, 2 insertions(+), 5 deletions(-)
>>>
>> Please make sure there is no build breaks with various configs when
>> sending patches.
> 
> I am sure that I compile tested this before submitting. Looks like 
> following commit [1] needs "linux/syscore-ops.h" in clk.c, before that 
> it was not needed.
> 
> 1: clk: samsung: Factor out the common code to clk.c [SHA_ID: 
> 16a9013b83b5106c83cf]

OK, my apologies then for not investigating it further.

> Anyways, I can see patches are not getting cleanly applied so, just now 
> I resend them [2] after rebasing please have a look.

There is no need to resend, the patches are already applied into
my tree

git://linuxtv.org/snawrocki/samsung.git for-v3.19/clk-next

I will probably send a second pull request for Mike today.
Just need to figure out what to do with the patches addressing
the dependency of the audio clock controller control registers
on the APLL clock.

--
Regards,
Sylwester